LibOFX: OfxMainContainer Class Reference

- Main Page
- Namespaces
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# OfxMainContainer Class Reference

Inheritance diagram for OfxMainContainer:

## Detailed Description

The root container. Created by the <OFX> OFX element or by the export functions.

The OfxMainContainer maintains trees of processed ofx data structures which can be used to generate events in the right order, and eventually export in OFX and QIF formats and even generate matching OFX querys.

Definition at line 236 of file ofx_containers.hh.

## Public Member Functions
| OfxMainContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
| ~OfxMainContainer ()
int | add_container (OfxGenericContainer *container)
int | add_container (OfxStatementContainer *container)
int | add_container (OfxAccountContainer *container)
int | add_container (OfxTransactionContainer *container)
int | add_container (OfxSecurityContainer *container)
int | gen_event ()
| Generate libofx.h events.
OfxSecurityData * | find_security (string unique_id)
| OfxMainContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
int | add_container (OfxGenericContainer *container)
int | add_container (OfxStatementContainer *container)
int | add_container (OfxAccountContainer *container)
int | add_container (OfxTransactionContainer *container)
int | add_container (OfxSecurityContainer *container)
int | gen_event ()
| Generate libofx.h events.
OfxSecurityData * | find_security (string unique_id)

## Member Function Documentation

int OfxMainContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 154 of file ofx_container_main.cpp.

Referenced by OFXApplication::endElement(), and OFCApplication::endElement().

int OfxMainContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.9.1/lib/ofx_containers.hh
- ofx_container_main.cpp
- fx-0.9.1/lib/ofx_container_main.cpp